{% extends "base.html" %}

{% block content %}
    <div>
        <h1>My Projects</h1>
        <p>
            <a href="{% url 'create_project' %}">Create a new project</a>
        </p>
        {% if list_projects|length == 0 %}
            <p>You are not assigned to any projects.</p>
        {% else %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in list_projects %}
                        <tr>
                            <td>
                                <a href="{% url 'show_project' project.pk %}">{{ project.name }}</a>
                            </td>
                        </tr>
                        <td>{{ project.tasks.all|length }}</td>
                    {% endfor %}
                </tbody>
            </table>
        {% endif %}
    </div>
{% endblock content %}
